const swaggerJSDoc = require('swagger-jsdoc');

const swaggerDefinition = {
    info: {
        title: 'SIAP SERVER',
        version: '1.2.2',
        description: 'Webservice REST do SIAP',
    },
    host: 'localhost:3000',
    basePath: '/',
}

const apidoc_options = {
    swaggerDefinition: swaggerDefinition,
    apis: ['./out/routes/*.js'],
};

export let apidoc_spec = swaggerJSDoc(apidoc_options);
