-- TIPOLOGIA
-- 
-- Lista os servidores do órgão que tenham declaração
-- de escolaridade como Analfabetos.


DECLARE @DT_INICIAL VARCHAR(6) = '201201', @DT_FINAL VARCHAR(6) = '201703', @UGESTORA INT = 201095, @PESO_TIPOLOGIA INT = 5

;WITH SERVIDORES(CPF)
AS
(   
    SELECT DISTINCT FP.cd_CPF
    FROM SAGRES_MUNICIPAL.dbo.FolhaPagamento_Servidores FP
    WHERE FP.cd_UGestora = @UGESTORA
        AND FP.MESANO_ORDENADO BETWEEN @DT_INICIAL AND @DT_FINAL
)

SELECT CPF as cpf, NOME_ELEITOR as nome, @PESO_TIPOLOGIA as score
FROM SERVIDORES S
    INNER JOIN SISPESQUISA.dbo.Analfabetos_tre_PB_2017 A  ON (S.CPF = A.CPF)