-- TIPOLOGIA
--
-- Lista os servidores do órgão que apresentem residência encontrada na
-- RE com microrregião diferente da microrregião de onde se encontra o
-- órgão.
--
-- Gera um score baseado na distância entre o município do endereço 
-- encontrado na RE e o da unidade gestora.

DECLARE @DT_INICIAL VARCHAR(6) = '201201', @DT_FINAL VARCHAR(6) = '201703', @UGESTORA INT = 101025, @PESO_TIPOLOGIA INT = 2


-- ;WITH SERVIDORES(CPF)
-- AS
-- (   
--     SELECT DISTINCT FP.cd_CPF
--     FROM SAGRES_MUNICIPAL.dbo.FolhaPagamento_Servidores FP
--     WHERE FP.cd_UGestora = @UGESTORA
--         AND FP.MESANO_ORDENADO BETWEEN @DT_INICIAL AND @DT_FINAL   
-- )

-- ,UG(CD_UGESTORA, MUNICIPIO, MICROREGIAO)
-- AS
-- (
--     SELECT DISTINCT G.cd_Ugestora, M.no_Municipio, MMM.MICROREGIAO
--     FROM SAGRES_CONTROLE.dbo.Codigo_Ugestora G
--         INNER JOIN SAGRES_CONTROLE.dbo.Codigo_Municipios M ON (G.cd_Municipio = M.cd_Municipio)
--         LEFT OUTER JOIN SISPESQUISA.dbo.MUNICIPIO_MESOMICROREGIAO MMM ON (MMM.MUNICIPIO COLLATE Latin1_General_CI_AI = M.no_Municipio COLLATE Latin1_General_CI_AI)	
-- )

-- ,ENDERECOS_SERVIDORES(CPF, S_MUNICIPIO, S_UF, S_MICRORREGIAO, UG_MICRORREGIAO, CUSTO)
-- AS
-- (
--     SELECT  S.CPF, E.Municipio, E.UF, MMM.MICROREGIAO, UG.MICROREGIAO,
--             CASE
--                 WHEN ISNULL(CUSTO.custo, -1) = -1 THEN 20
--                 ELSE Custo.custo + 1
--             END as custo

--     FROM SERVIDORES S
--         INNER JOIN SISPESQUISA.sispesquisa.enderecos E ON (S.CPF = E.cpf)        
--         LEFT OUTER JOIN SISPESQUISA.dbo.MUNICIPIO_MESOMICROREGIAO MMM ON (MMM.MUNICIPIO COLLATE Latin1_General_CI_AI = E.MUNICIPIO AND E.UF = 'PB')		
--         LEFT OUTER JOIN UG ON (UG.CD_UGESTORA = @UGESTORA)
--         LEFT OUTER JOIN SISPESQUISA.dbo.tabela_custo_microregioes CUSTO ON (CUSTO.origem = MMM.MICROREGIAO COLLATE Latin1_General_CI_AI AND CUSTO.destino = UG.MICROREGIAO COLLATE Latin1_General_CI_AI)
--     WHERE (CUSTO.custo > 0 OR CUSTO.custo IS NULL)
--         AND NOT(E.UF = 'PB' AND MMM.MICROREGIAO IS NULL ) -- FILTRO PARA RETIRAR AQUELES ENDERECOS QUE APRESENTAM 
--                                                           -- UM MUNICIPIO SEM CORRESPONDENCIA NA BASE DE MUNICIPIOS
--                                                           -- EXISTE MUITO LIXO NA BASE DE NOTAS														
-- )

-- ,RESULTADO(CPF, MICRORREGIAO, UF, CUSTO, QTD)
-- AS 
-- (
--     SELECT CPF, S_MICRORREGIAO, S_UF, CUSTO, COUNT(*) AS QTD
--     FROM ENDERECOS_SERVIDORES E
--     GROUP BY CPF, S_MUNICIPIO, S_MICRORREGIAO, S_UF, CUSTO
-- )

-- SELECT R.CPF as cpf, PF.Nome as nome, SUM(CUSTO * QTD * @PESO_TIPOLOGIA) as score
-- FROM RESULTADO R
--     INNER JOIN ReceitaNovo.dbo.PessoaFisica PF ON (R.CPF = PF.CPF)
-- GROUP BY R.CPF, PF.Nome

-- ;WITH SERVIDORES(CPF)
-- AS
-- (   
--     SELECT DISTINCT FP.cd_CPF
--     FROM SAGRES_MUNICIPAL.dbo.FolhaPagamento_Servidores FP
--     WHERE FP.cd_UGestora = @UGESTORA
--         AND FP.MESANO_ORDENADO BETWEEN @DT_INICIAL AND @DT_FINAL
-- )

-- ,UG(CD_UGESTORA, MUNICIPIO, MICROREGIAO)
-- AS
-- (
--     SELECT DISTINCT G.cd_Ugestora, M.no_Municipio, MMM.MICROREGIAO
--     FROM SAGRES_CONTROLE.dbo.Codigo_Ugestora G
--         INNER JOIN SAGRES_CONTROLE.dbo.Codigo_Municipios M ON (G.cd_Municipio = M.cd_Municipio)
--         LEFT OUTER JOIN SISPESQUISA.dbo.MUNICIPIO_MESOMICROREGIAO MMM ON (MMM.MUNICIPIO COLLATE Latin1_General_CI_AI = M.no_Municipio COLLATE Latin1_General_CI_AI)	
-- )
-- ,ENDERECOS_SERVIDORES(CPF, S_MUNICIPIO, S_UF, UG_MUNICIPIO, CUSTO)
-- AS
-- (
--     SELECT  S.CPF, UPPER(E.Municipio), E.UF, UPPER(UG.Municipio),
--             CASE
--             WHEN ISNULL(CUSTO.DISTANCIA_M, -1) = -1 THEN -1
--             ELSE Custo.DISTANCIA_M
--         END as custo

--     FROM SERVIDORES S
--         INNER JOIN SISPESQUISA.sispesquisa.enderecos E ON (S.CPF = E.cpf)        
--         LEFT OUTER JOIN SISPESQUISA.dbo.MUNICIPIO_MESOMICROREGIAO MMM ON (MMM.MUNICIPIO COLLATE Latin1_General_CI_AI = E.MUNICIPIO AND E.UF = 'PB')		
--         LEFT OUTER JOIN UG ON (UG.CD_UGESTORA = @UGESTORA)
--         LEFT OUTER JOIN SISPESQUISA.dbo.DISTANCIA_MUNICIPIOS CUSTO ON ((CUSTO.MUNICIPIO_ORIGEM COLLATE Latin1_General_CI_AI = MMM.MUNICIPIO AND CUSTO.MUNICIPIO_DESTINO COLLATE Latin1_General_CI_AI = UG.MUNICIPIO) OR (CUSTO.MUNICIPIO_DESTINO COLLATE Latin1_General_CI_AI = MMM.MUNICIPIO AND CUSTO.MUNICIPIO_ORIGEM COLLATE Latin1_General_CI_AI = UG.MUNICIPIO))
-- 	WHERE(E.Municipio <> UG.Municipio COLLATE Latin1_General_CI_AI)
-- 		AND NOT(E.UF = 'PB' AND MMM.MICROREGIAO IS NULL )
-- 		AND (ISNULL(CUSTO.DISTANCIA_M, -1) = -1 OR CUSTO.DISTANCIA_M > 30000)
-- )
-- ,RESULTADO(CPF, S_MUNICIPIO, S_UF, CUSTO, QTD)
-- AS 
-- (
--     SELECT CPF, S_MUNICIPIO, S_UF, CUSTO, COUNT(*) AS QTD
--     FROM ENDERECOS_SERVIDORES E
--     GROUP BY CPF, S_MUNICIPIO, S_UF, CUSTO
-- )

-- SELECT R.CPF as cpf, PF.Nome as nome, SUM(CUSTO * QTD) as score
-- FROM RESULTADO R
-- 	INNER JOIN ReceitaNovo.dbo.PessoaFisica PF ON (R.CPF = PF.CPF)
-- GROUP BY R.CPF, PF.Nome	
-- ORDER BY score DESC


-- V3

;WITH SERVIDORES(CPF)
AS
(   
    SELECT DISTINCT FP.cd_CPF
    FROM SAGRES_MUNICIPAL.dbo.FolhaPagamento_Servidores FP
    WHERE FP.cd_UGestora = @UGESTORA
        AND FP.MESANO_ORDENADO BETWEEN @DT_INICIAL AND @DT_FINAL
)

,UG(CD_UGESTORA, MUNICIPIO, MICROREGIAO)
AS
(
    SELECT DISTINCT G.cd_Ugestora, M.no_Municipio, MMM.MICROREGIAO
    FROM SAGRES_CONTROLE.dbo.Codigo_Ugestora G
        INNER JOIN SAGRES_CONTROLE.dbo.Codigo_Municipios M ON (G.cd_Municipio = M.cd_Municipio)
        LEFT OUTER JOIN SISPESQUISA.dbo.MUNICIPIO_MESOMICROREGIAO MMM ON (MMM.MUNICIPIO COLLATE Latin1_General_CI_AI = M.no_Municipio COLLATE Latin1_General_CI_AI)	
)
,ENDERECOS_SERVIDORES(CPF, S_MUNICIPIO, S_UF, UG_MUNICIPIO, CUSTO)
AS
(
    SELECT  S.CPF, UPPER(E.Municipio), E.UF, UPPER(UG.Municipio), Custo.distancia
    FROM SERVIDORES S
        INNER JOIN SISPESQUISA.sispesquisa.enderecos E ON (S.CPF = E.cpf)
        LEFT OUTER JOIN UG ON (UG.CD_UGESTORA = @UGESTORA)
        LEFT OUTER JOIN SISPESQUISA.dbo.resultado CUSTO ON 
			((CUSTO.MUNICIPIO_ORIGEM COLLATE Latin1_General_CI_AI = UG.MUNICIPIO 
			AND CUSTO.MUNICIPIO_DESTINO COLLATE Latin1_General_CI_AI = E.Municipio) 
			AND CUSTO.uf_origem = 'PB'
			AND CUSTO.uf_destino = E.UF)

	WHERE(E.Municipio <> UG.Municipio COLLATE Latin1_General_CI_AI)
		AND (CUSTO.distancia > 30)
)
,RESULTADO(CPF, S_MUNICIPIO, S_UF, CUSTO, QTD)
AS 
(
    SELECT CPF, S_MUNICIPIO, S_UF, CUSTO, COUNT(*) AS QTD
    FROM ENDERECOS_SERVIDORES E
    GROUP BY CPF, S_MUNICIPIO, S_UF, CUSTO
)

SELECT R.CPF as cpf, PF.Nome as nome, SUM(CUSTO * QTD) as score
FROM RESULTADO R
	INNER JOIN ReceitaNovo.dbo.PessoaFisica PF ON (R.CPF = PF.CPF)
GROUP BY R.CPF, PF.Nome	
ORDER BY score DESC