import * as moment from 'moment';

export class Log {
    ip?:            string | string[];
    usuario?:       string; 
    usuario_id?:    string; 
    tipo?:          string; 
    mensagem?:      string;
    data_hora?:     string;
    user_agent?:    string | string[]; 
    processo?:      string;


    constructor(obj: Log){
        if (obj.ip)
            this.ip             = obj.ip;
        if (obj.usuario_id)
            this.usuario_id     = obj.usuario_id;
        if (obj.usuario)
            this.usuario        = obj.usuario;
        if (obj.tipo)
            this.tipo           = obj.tipo;
        if (obj.mensagem)
            this.mensagem       = obj.mensagem;
        if (obj.data_hora) {
            this.data_hora      = obj.data_hora;
        } else {
            this.data_hora      = moment().format('YYYY-MM-DDTHH:mm:ss');
        }
        if (obj.user_agent)
            this.user_agent     = obj.user_agent;
        if (obj.processo){
            this.processo       = obj.processo;
        } else {
            this.processo       = null;
        }
    }
}